--- title: "Get Auto Scaling Group list" slug: "devtools-sourcedeploy-autoscalinggrouplist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-autoscalinggrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Auto Scaling Group list Available in Classic and VPC Get the list of available Auto Scaling groups. Note To get the Auto Scaling group list, you must first create a group in the Auto Scaling service. See the following for how to create a group. - Create from NAVER Cloud Platform console: See [Auto Scaling User Guide](https://guide.ncloud-docs.com/docs/en/autoscaling-overview). - Create using API: See [Auto Scaling (VPC) API Guide](/docs/en/compute-vautoscaling) or [Auto Scaling (Classic) API Guide](/docs/en/compute-autoscaling). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/autoscaling | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/autoscaling' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.autoScalingList` | Array | - | Auto Scaling group list: [autoscalingList](/docs/en/devtools-sourcedeploy-autoscalinggrouplist#autoscalingList) | #### `autoscalingList` The following describes `autoscalingList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `groupNo` | Number | - | Auto Scaling group number | | `name` | String | - | Auto Scaling group name | | `instanceCount` | Number | - | Number of servers | | `permission` | String | - | Ownership of permission to view details - `Allow` \| `Deny` - `Allow`: own - `Deny`: not owned | | `actionName` | String | - | Permission name for viewing details | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "autoScalingList": [ { "groupNo": 16***, "name": "asg", "instanceCount": 1, "permission": "Allow", "actionName": "View/getAutoScalingGroupDetail" } ] } } ```